package md

const EggEnergyExchange = "egg.energy"
const IMEggEnergyExchange = "im.egg.energy"

const (
	EggEnergyRoutKeyForStarLevelDividend                = "star_level_dividend"                  // 星级分红
	EggEnergyRoutKeyForSettlementPublicGiveActivityCoin = "settlement_public_give_activity_coin" // 计算观看激励视屏得到活跃积分
	EggEnergyRoutKeyForStartExchangeGreenEnergyToPerson = "start_exchange_egg_energy_to_person"  // 开始兑换个人蛋蛋能量
	EggEnergyRoutKeyForAutoExchangeGreenEnergyToPerson  = "auto_exchange_egg_energy_to_person"   // 自动兑换个人蛋蛋能量
	EggEnergyRoutKeyForStartExchangeGreenEnergyToTeam   = "start_exchange_egg_energy_to_team"    // 开始兑换团队蛋蛋能量
	EggEnergyRoutKeyForAutoExchangeGreenEnergyToTeam    = "auto_exchange_egg_energy_to_team"     // 自动兑换团队蛋蛋能量
	EggEnergyRoutKeyForEggEnergyFundData                = "fund_data"                            // 资金汇入
	EggEnergyRoutKeyForPlatformRevenueData              = "platform_revenue_data"                // 平台收入
	IMEggEnergyRoutKeyForBatchSendMessageData           = "batch_send_message_data"              // 批量发送信息
)

type EggEnergyStructForSignIn struct {
	MasterId string `json:"master_id"`
	Uid      int    `json:"uid"`
	Id       int64  `json:"id"`
	EndTime  string `json:"end_time"`
}
type UpdateEggEnergyStructForSignInRecords struct {
	Id  int64 `json:"id"`
	Uid int   `json:"uid"`
}

type EggEnergyStructForStarLevelDividends struct {
	Uid          int64   `json:"uid"`
	SignDividend float64 `json:"sign_dividend"`
}

type EggEnergyStructForStartExchangeGreenEnergy struct {
	Uid                    int64  `json:"uid"`
	Amount                 string `json:"amount"`
	PointCoinId            int    `json:"point_coin_id"`
	EnergyCoinId           int    `json:"energy_coin_id"`
	AutoExchangeNumsAmount string `json:"auto_exchange_nums_amount"`
	StartExchangeTime      string `json:"start_exchange_time"` //发起兑换时间
	EndExchangeTime        string `json:"end_exchange_time"`   //截止兑换时间
}

type EggEnergyStructForAutoExchangeGreenEnergy struct {
	Uid                    int64  `json:"uid"`
	EnergyCoinId           int    `json:"energy_coin_id"`
	AutoExchangeNumsAmount string `json:"auto_exchange_nums_amount"`
	StartExchangeTime      string `json:"start_exchange_time"` //发起兑换时间
	EndExchangeTime        string `json:"end_exchange_time"`   //截止兑换时间
}

type EggEnergyStructForPlatformRevenueData struct {
	ID     int    `json:"id"`
	Amount string `json:"amount"` // 资金汇入处理金额
}

type EggEnergyStructForEggEnergyFundData struct {
	ID     int    `json:"id"`
	Amount string `json:"amount"` // 平台收入处理金额
}

type IMEggEnergyStructForBatchSendMessageData struct {
	ReceiverType int    `json:"receiver_type"` // 接受者类型 1:用户 2:群组
	MessageType  int    `json:"message_type"`  // 消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)
	SendId       int64  `json:"send_id"`       // 发送者 id
	ReceiveIMId  int64  `json:"receive_id"`    // 接受者IM id
	Content      string `json:"content"`       // 消息内容
}
